=== debian/changelog ===
cwltool (2.0.20200126090152+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:16:02 +0100
