=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               procps,
               python3,
               python3-all,
               python3-setuptools,
               python3-coloredlogs,
               python3-rdflib,
               python3-rdflib-jsonld <!nocheck>,
               python3-schema-salad (>=4.5),
               python3-shellescape,
               python3-html5lib,
               python3-sparqlwrapper,
               python3-keepalive,
               python3-ruamel.yaml,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-mock <!nocheck>,
               python3-mypy-extensions,
               python3-psutil,
               python3-prov,
               nodejs,
               help2man
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/cwltool
Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
Homepage: https://www.commonwl.org

Package: cwltool
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mypy-extensions
Recommends: nodejs
Suggests: docker.io | singularity-container
Provides: cwl-runner
Description: Common Workflow Language reference implementation
 This is the reference implementation of the Common Workflow Language
 standards.
 .
 The CWL open standards are for describing analysis workflows and tools in a
 way that makes them portable and scalable across a variety of software and
 hardware environments, from workstations to cluster, cloud, and high
 performance computing (HPC) environments. CWL is designed to meet the needs of
 data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
 Physics, and Chemistry.
 .
 The CWL reference implementation (cwltool) is intended to be feature complete
 and to provide comprehensive validation of CWL files as well as provide other
 tools related to working with CWL descriptions.
