=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps
Restrictions: allow-stderr
