=== debian/changelog ===
cwltool (2.0.20200224214940+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 26 Feb 2020 12:50:44 +0100
