=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                python3-prov,
                nodejs,
                help2man
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
