=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\.dfsg// \
https://pypi.debian.net/cwltool/cwltool-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
