=== debian/changelog ===
cwltool (3.0.20200324120055+dfsg-2) unstable; urgency=medium

  * Allow newer ruamel.yaml version. Closes: #963318

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jun 2020 10:38:55 +0200

cwltool (3.0.20200324120055+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Andreas Tille ]
  * Bug #954640 of python3-humanfriendly was fixed
    Closes: #954496

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Apr 2020 15:16:28 +0200
