=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cwltool
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -32,6 +32,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
+Rules-Requires-Root: no
 
 Package: cwltool
 Architecture: all
