=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,6 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata' \
+		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata and not test_load_graph_fragment_from_packed' \
 		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyarg cwltool" dh_auto_test
 endif
