=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.12.4,<=0.16.5
rdflib>=4.2.2,<4.3
shellescape>=3.4.1,<3.5
schema-salad>=7,<8
typing>=3.5.3; python_version<"3.6"
prov==1.5.1
bagit==1.6.4
mypy-extensions
psutil
typing-extensions
coloredlogs
