=== debian/changelog ===
cwltool (3.0.20200807132242-5) unstable; urgency=high

  * debian/control: bump schema-salad dependency to 7.0.20200811075006-2

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 11:30:08 +0100

cwltool (3.0.20200807132242-4) unstable; urgency=high

  * debian/patches/rdflib5: add compatibility with python3-rdflib >= 5.0
    Closes: #978295

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 10:29:33 +0100

cwltool (3.0.20200807132242-3) unstable; urgency=medium

  * Team upload.
  * Abbreviated option names are no longer allowed in pytest 6
    Closes: #977067
  * Standards-Version: 4.5.1

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2020 22:19:00 +0100

cwltool (3.0.20200807132242-2) unstable; urgency=medium

  * Team upload.
  * Depends: python3-arcp
    Closes: #969666

 -- Andreas Tille <tille@debian.org>  Thu, 10 Sep 2020 13:43:51 +0200

cwltool (3.0.20200807132242-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Refresh patches
  * Needs python3-schema-salad >=7
  * New dependency: python3-pydot

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:21:49 +0200
