=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                procps,
                python3,
@@ -12,7 +12,7 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=4.5),
+               python3-schema-salad (>=7.0.20200811075006-2),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -26,9 +26,11 @@
                python3-mypy-extensions,
                python3-psutil,
                python3-prov,
+               python3-arcp,
+               python3-pydot,
                nodejs,
                help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
@@ -38,7 +40,8 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-mypy-extensions
+         python3-mypy-extensions,
+         python3-arcp
 Recommends: nodejs
 Suggests: docker.io | singularity-container
 Provides: cwl-runner
