=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=7.0.20200811075006-2),
+               python3-schema-salad (>=7.0.20210124093443),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -28,6 +28,7 @@
                python3-prov,
                python3-arcp,
                python3-pydot,
+               python3-argcomplete,
                nodejs,
                help2man
 Standards-Version: 4.5.1
@@ -41,8 +42,11 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-mypy-extensions,
-         python3-arcp
+         python3-arcp,
+         python3-argcomplete,
+         python3-distutils
 Recommends: nodejs
+Breaks: toil (<< 5)
 Suggests: docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
