=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/default.mk
 export PYBUILD_NAME=cwltool
 export PYBUILD_TEST_ARGS=-n=auto
-export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/
+export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/ {build_dir}/main.cwl {build_dir}/output.txt*
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
@@ -34,6 +34,6 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata and not test_load_graph_fragment_from_packed' \
+		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not test_use_metadata and not test_load_graph_fragment_from_packed and not test_udocker_usage_should_not_write_cid_file and not test_udocker_should_display_memory_usage' \
 		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyargs cwltool" dh_auto_test
 endif
