=== debian/changelog ===
cwltool (3.1.20210922203925-4) unstable; urgency=medium

  * Increase resiliance of test_malformed_reqs

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Oct 2021 09:36:35 +0200

cwltool (3.1.20210922203925-3) unstable; urgency=medium

  * Autopkgtests: Correct name of pytest package.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:51:53 +0200

cwltool (3.1.20210922203925-2) unstable; urgency=medium

  * This version break toil versions of less than 5.5.
  * pytest 6.2+ is the minimum version required.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:19:28 +0200

cwltool (3.1.20210922203925-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh patches.
  * Suggest podman
  * Needs at least version 8.2.20210914115719 of python3-schema-salad.
  * New build-dep: python3-typing-extensions
  * tweak an override

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:46:09 +0200

cwltool (3.0.20210124104916-3) unstable; urgency=high

  * debian/control: this version of cwltool breaks toil less than
    version 5.
  * Add unminified version of jshint 2.12.0 to debian/missing-sources/
  * debian/patches/add_interps: add missing "#!/usr/bin/env cwl-runner"
  * Silence lintian false-positives.
  * debian/rules: Delete cruft after running the build-time tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Jan 2021 10:36:01 +0100

cwltool (3.0.20210124104916-2) unstable; urgency=high

  * Remove reference to the un-packaged bagit Python module.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 19:24:44 +0100

cwltool (3.0.20210124104916-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * debian/control: new dep: argcomplete
  * debian/rules: adjust to changes in udocker test names.
  * Drop unneeded pytest 4.x patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 17:23:49 +0100
