=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=7.0.20210124093443),
+               python3-schema-salad (>=8.2.20210914115719),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
                python3-keepalive,
                python3-ruamel.yaml,
-               python3-pytest <!nocheck>,
+               python3-pytest (>> 6.2) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
@@ -29,9 +29,10 @@
                python3-arcp,
                python3-pydot,
                python3-argcomplete,
+               python3-typing-extensions,
                nodejs,
                help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
@@ -43,11 +44,10 @@
          ${misc:Depends},
          python3-mypy-extensions,
          python3-arcp,
-         python3-argcomplete,
-         python3-distutils
+         python3-argcomplete
 Recommends: nodejs
-Breaks: toil (<< 5)
-Suggests: docker.io | singularity-container
+Breaks: toil (<< 5.5)
+Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
  This is the reference implementation of the Common Workflow Language
