=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,6 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not test_use_metadata and not test_load_graph_fragment_from_packed and not test_udocker_usage_should_not_write_cid_file and not test_udocker_should_display_memory_usage' \
-		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyargs cwltool" dh_auto_test
+		-k 'not (test_http_path_mapping or test_pack or test_get_subgraph or test_use_metadata or test_load_graph_fragment_from_packed or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
+		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
 endif
