=== debian/changelog ===
cwltool (3.1.20211104071347-3) unstable; urgency=medium

  * Team upload.

  [ Chris Lamb ]
  * Make build reproducible
    Closes: #1001277

 -- Andreas Tille <tille@debian.org>  Sun, 12 Dec 2021 07:45:19 +0100

cwltool (3.1.20211104071347-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Update Breaks for toil << 5.5.0-5

  [ Andreas Tille ]
  * Depends: python3-distutils
    Closes: #999556

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2021 08:48:03 +0100

cwltool (3.1.20211104071347-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches.
  * Remove debian/patches/fix-test_malformed_reqs; applied upstream.
  * Bump minimum schema-salad version to 8.2.20211104054942.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Nov 2021 11:53:50 +0100
