=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=8.2.20210914115719),
+               python3-schema-salad (>=8.2.20211104054942),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -44,9 +44,10 @@
          ${misc:Depends},
          python3-mypy-extensions,
          python3-arcp,
-         python3-argcomplete
+         python3-argcomplete,
+         python3-distutils
 Recommends: nodejs
-Breaks: toil (<< 5.5)
+Breaks: toil (<< 5.5.0-5)
 Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
