=== debian/changelog ===
cwltool (3.1.20220119140128-2) unstable; urgency=medium

  * d/control: This release of cwltool breaks toil package versions
    before 5.6.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Jan 2022 10:38:47 +0100

cwltool (3.1.20220119140128-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: skip fewer tests, document reasons for the
    remaining skips

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 16:02:29 +0100
