=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 requests>=2.4.3
-ruamel.yaml>=0.15,<0.17.21
+ruamel.yaml>=0.15,<0.17.22
 rdflib>=4.2.2,<6.2
 shellescape>=3.4.1,<3.9
 schema-salad>=8.2.20211104054942,<9
@@ -12,3 +12,4 @@
 pydot>=1.4.1
 argcomplete>=1.12.0
 pyparsing != 3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
+pyparsing < 3;python_version<='3.6'  # breaks --print-dot
