=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-argcomplete,
          python3-distutils
 Recommends: nodejs
-Breaks: toil (<< 5.5.0-5)
+Breaks: toil (<< 5.6)
 Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
