=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,9 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not (test_http_path_mapping or test_pack or test_get_subgraph or test_use_metadata or test_load_graph_fragment_from_packed or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
+		-k 'not (test_http_path_mapping or test_get_subgraph or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
 		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
 	find .pybuild -name "out" -type f -delete
 endif
+# test_http_path_mapping requires internet access (could be mocked?)
+# test_get_{subgraph,step} embedded local path isn't being cleaned properly
